%{?mingw_package_header}

%global _python_bytecompile_errors_terminate_build %nil

Name:           mingw-gdb
Version:        14.2
Release:        %mkrel 1
Summary:        MinGW Windows port of the GDB debugger

# Same License tag as the native gdb package has:
License:        GPL-3.0-or-later AND BSD-3-Clause AND FSFAP AND LGPL-2.1-or-later AND GPL-2.0-or-later AND LGPL-2.0-or-later AND LicenseRef-Fedora-Public-Domain AND GFDL-1.3-or-later AND LGPL-2.0-or-later WITH GCC-exception-2.0 AND GPL-3.0-or-later WITH GCC-exception-3.1 AND GPL-2.0-or-later WITH GNU-compiler-exception
Group:          Development/Other
URL:            https://www.sourceware.org/gdb/
Source0:        https://ftp.gnu.org/gnu/gdb/gdb-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  automake autoconf libtool
BuildRequires:  make
BuildRequires:  gcc

BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-expat
BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-gmp
BuildRequires:  mingw32-mpfr
BuildRequires:  mingw32-win-iconv
BuildRequires:  mingw32-zlib

BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-expat
BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw64-gmp
BuildRequires:  mingw64-mpfr
BuildRequires:  mingw64-win-iconv
BuildRequires:  mingw64-zlib

BuildRequires:  texinfo

Provides: bundled(libiberty)

%description
This is the MinGW Windows port of the GDB, the GNU debugger.


# Win32
%package -n mingw32-gdb
Summary:        MinGW Windows port of the GDB debugger
# Provide upgrade path for the gdb packages distributed at
# http://mingw-cross.sourceforge.net
Obsoletes:      mingw32-gdb-gdbserver < 6.8.50.20090302-2

%description -n mingw32-gdb
This is the MinGW Windows port of the GDB, the GNU debugger.

# Win64
%package -n mingw64-gdb
Summary:        MinGW Windows port of the GDB debugger

%description -n mingw64-gdb
This is the MinGW Windows port of the GDB, the GNU debugger.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n gdb-%{version}


%build
%mingw_configure
%mingw_make_build


%install
%mingw_make_install

# Remove bfd and opcodes libraries
rm -rf %{buildroot}%{mingw32_datadir}/locale/
rm -rf %{buildroot}%{mingw32_includedir}/
rm -rf %{buildroot}%{mingw32_libdir}/

rm -rf %{buildroot}%{mingw64_datadir}/locale/
rm -rf %{buildroot}%{mingw64_includedir}/
rm -rf %{buildroot}%{mingw64_libdir}/

# Remove documentation which is duplicate with native gdb package
rm -rf %{buildroot}%{mingw32_datadir}/info/
rm -rf %{buildroot}%{mingw32_mandir}/

rm -rf %{buildroot}%{mingw64_datadir}/info/
rm -rf %{buildroot}%{mingw64_mandir}/

# Remove unusefull gdb-add-index script
rm %{buildroot}%{mingw64_bindir}/gdb-add-index
rm %{buildroot}%{mingw32_bindir}/gdb-add-index


%files -n mingw32-gdb
%license COPYING3 COPYING COPYING.LIB
%{mingw32_bindir}/gdb.exe
%{mingw32_bindir}/gdbserver.exe
%{mingw32_datadir}/gdb/

%files -n mingw64-gdb
%license COPYING3 COPYING COPYING.LIB
%{mingw64_bindir}/gdb.exe
%{mingw64_bindir}/gdbserver.exe
%{mingw64_datadir}/gdb/




%changelog
* Mon May 06 2024 daviddavid <daviddavid> 14.2-1.mga10
+ Revision: 2062507
- new version: 14.2

* Wed Sep 27 2023 tv <tv> 13.2-1.mga10
+ Revision: 1991580
- Update to 13.2

* Sun May 22 2022 tv <tv> 12.1-1.mga9
+ Revision: 1859758
- Update to 12.1

* Thu Apr 07 2022 tv <tv> 11.2-1.mga9
+ Revision: 1847067
- Update to 11.2
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sun Feb 28 2021 daviddavid <daviddavid> 10.1-1.mga9
+ Revision: 1693339
- new version: 10.1

* Sat Sep 26 2020 tv <tv> 9.2-4.mga8
+ Revision: 1630518
- rebuild for new mingw stack

* Fri Sep 11 2020 tv <tv> 9.2-3.mga8
+ Revision: 1624457
- 9.2
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 8.1-2.mga7
+ Revision: 1279672
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 daviddavid <daviddavid> 8.1-1.mga7
+ Revision: 1247640
- new version: 8.1

* Wed Apr 06 2016 tv <tv> 7.8.1-1.mga6
+ Revision: 998900
- rebuild with new gcc

* Mon Feb 08 2016 umeabot <umeabot> 7.6-6.mga6
+ Revision: 943236
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 7.6-5.mga5
+ Revision: 746318
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 7.6-4.mga5
+ Revision: 682434
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 7.6-3.mga4
+ Revision: 536227
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 neoclust <neoclust> 7.6-2.mga4
+ Revision: 483595
- imported package mingw-gdb


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat May  4 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 7.6-1
- Update to 7.6

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Dec 02 2012 Kalev Lember <kalevlember@gmail.com> - 7.5.1-1
- Update to 7.5.1

* Wed Nov 21 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 7.5.0.20120926-1
- Update to 7.5.0.20120926

* Mon Oct 15 2012 Jon Ciesla <limburgher@gmail.com> - 7.5-2
- Provides: bundled(libiberty)

* Sun Sep  9 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 7.5-1
- Update to 7.5

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.4.50.20120603-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 15 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 7.4.50.20120603-1
- Update to 7.4.50 20120603 snapshot
- Applied patch from Jan Kratochvil to fix compile failure

* Sat Mar 10 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 7.4-1
- Update to 7.4
- Added win64 support
- Use mingw macros without leading underscore

* Mon Feb 27 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 7.3-3
- Rebuild against the mingw-w64 toolchain

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Jul 30 2011 Kalev Lember <kalevlember@gmail.com> - 7.3-1
- Update to 7.3
- Use automatic mingw dep extraction

* Wed Jul 06 2011 Erik van Pienbroek <epienbro@fedoraproject.org> - 7.2-3
- Rebuild against win-iconv

* Fri Jun 03 2011 Kalev Lember <kalev@smartlink.ee> - 7.2-2
- Renamed the source package to mingw-gdb (#702846)

* Mon Apr 25 2011 Kalev Lember <kalev@smartlink.ee> - 7.2-1
- Update to 7.2
- Removed documentation which is duplicate with the native gcc
- Don't install the bfd and opcodes libraries
- Provide upgrade path from the mingw32-gdb packages from mingw-cross.sf.net
- Include license files in the rpm

* Fri Feb 20 2009 Richard W.M. Jones <rjones@redhat.com> - 6.8-4
- Rebuild for mingw32-gcc 4.4

* Wed Sep 24 2008 Richard W.M. Jones <rjones@redhat.com> - 6.8-3
- Rename mingw -> mingw32.

* Fri Sep 12 2008 Richard W.M. Jones <rjones@redhat.com> - 6.8-2
- Initial RPM release.
